<%= form_for :event, url: events_path do |f| %>
<%= f.error_messages %>

    <div class="group">
      <%= f.label :"Cover Image "%>
      <%= f.file_field :image %>
    </div>

    <div class="group">
      <%= f.label :"Registration Page Image "%>
      <%= f.file_field :reg_image %>
    </div>

    <div class="group">
      <%= f.label :"Trainer Image "%>
      <%= f.file_field :speaker_image %>
    </div>

 
    <div class="group">
      <%= f.label :"name "%>
      <%= f.text_field :name %>
    </div> 

    <div class="group">
      <%= f.label :"Workshop Type "%>
      <%= f.text_field :workshop_type %>
    </div> 

    <div class="group">
      <%= f.label :"description "%>
      <%= f.hidden_field :description, class: "trix-editor"%>
      <trix-editor input="event_description" placeholder="Description" style="min-height: 150px;"></trix-editor>
    </div>


    <div class="group">
      <%= f.label :"Event venue "%>
      <%= f.text_area :venue %>
    </div>

    <div class="group">
      <%= f.label :"Trainer "%>
      <%= f.text_area :speaker %>
    </div>

    <div class="group">
      <%= f.label :"Embed location code"%>
      <%= f.text_area :map_embed_code%>
    </div>

    <div class="group">
      <%= f.label :"event date"%>
      <%= f.datetime_field :event_date%>
    </div>


    <div class="group">
      <%= f.label :"duration " %>
      <%= f.select :duration, Event::DURATIONS.collect{|k,v| [v, k]}, {:prompt => '-- Select --'} %>
    </div>
   
    <div class="group">
      <%= f.label :"regestration end date "%>
      <%= f.date_field :reg_end_date%>
    </div>



    <div class="group">
        <%= f.label :"category "%>
        <%= f.select(:category, Event::CATEGORIES, {:prompt => 'select'}) %>
      </div>

    <div class="group" >
     <%= f.check_box :is_recurring, :id => "recurring", :onclick => "ShowHideDiv(this)" %> Recurring Event
    </div>

    <div class="group" id="dvfrequency" style="display: none">
      <%= f.label :"frequency "%>
      <%= f.select(:frequency, Event::FREQUENCIES, {:prompt => 'select'}) %>
    </div>

    <div class="group" id="dvrecurringdate" style="display: none">
      <%= f.label :"Recurring end date :"%>
      <%= f.date_field :recurring_end_date%>
    </div>

    <div class="group" style="text-align: center;">
      <%= f.submit "Submit", class: "btn" %>
      <%= link_to 'Cancel', events_path, class: "btn" %>
    </div>

 <% end %>

<script type="text/javascript">
  function ShowHideDiv(recurring) {
    var dvfrequency = document.getElementById("dvfrequency");
    dvfrequency.style.display = recurring.checked ? "block" : "none";
    var dvrecurringdate = document.getElementById("dvrecurringdate");
    dvrecurringdate.style.display = recurring.checked ? "block" : "none";
    }
</script>

